Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSession

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSession

Direct Known Subclasses:
  `VoiceSessionLog`

public class VoiceSession extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceSession.Builder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `CALL_TYPE_INCOMING`
  `static final short`
  `CALL_TYPE_OUTGOING`
  `static final short`
  `SESSION_TYPE_ADDITINAL`
  `static final short`
  `SESSION_TYPE_OPERATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSession()`
  `VoiceSession(VoiceSession session)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceSession.Builder`
  `builder()`
  `int`
  `getAccountId()`
  `Map<Integer,VoiceSessionAccount>`
  `getAccountMap()`
  Получение наработки сессии с разбивкой по услугам
  `String`
  `getAccountTitle()`
  `String`
  `getAcctSessionId()`
  `String`
  `getCalledStationId()`
  `String`
  `getCallingStationId()`
  `short`
  `getCallType()`
  `BigDecimal`
  `getCdrCallCost()`
  `BigDecimal`
  `getCdrCallOperCost()`
  `int`
  `getCodeId()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `int`
  `getCostMapItemId()`
  `int`
  `getDestinationId()`
  `int`
  `getDeviceId()`
  Получение кода устройства, к которому привязан аккаунт.
  `String`
  `getE164CalledStationId()`
  `String`
  `getE164CallingStationId()`
  `String`
  `getFromPort()`
  `Date`
  `getHour()`
  `long`
  `getId()`
  `String`
  `getIdentifier()`
  `Date`
  `getLastActive()`
  `BigDecimal`
  `getMinuteCost()`
  `int`
  `getOperatorId()`
  `long`
  `getParentId()`
  `long`
  `getRoundedSessionTime()`
  `int`
  `getServiceId()`
  `BigDecimal`
  `getSessionCost()`
  `Date`
  `getSessionStart()`
  `Date`
  `getSessionStop()`
  `long`
  `getSessionTime()`
  `String`
  `getToPort()`
  `int`
  `getType()`
  `int`
  `getZoneId()`
  `void`
  `setAccountId(int accountId)`
  `void`
  `setAccountMap(Map<Integer,VoiceSessionAccount> accountMap)`
  Установка наработки сессии с разбивкой по услугам.
  `void`
  `setAccountTitle(String accountTitle)`
  `void`
  `setAcctSessionId(String acctSessionId)`
  `void`
  `setCalledStationId(String calledStationId)`
  `void`
  `setCallingStationId(String callingStationId)`
  `void`
  `setCallType(short callType)`
  `void`
  `setCdrCallCost(BigDecimal cdrCallCost)`
  `void`
  `setCdrCallOperCost(BigDecimal cdrCallOperCost)`
  `void`
  `setCodeId(int codeId)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setCostMapItemId(int costMapItemId)`
  `void`
  `setDestinationId(int destinationId)`
  `void`
  `setDeviceId(int deviceId)`
  Установка кода устройства, к которому привязывается аккаунт
  `void`
  `setE164CalledStationId(String e164CalledStationId)`
  `void`
  `setE164CallingStationId(String e164CallingStationId)`
  `void`
  `setFromPort(String fromPort)`
  `void`
  `setHour(Date hour)`
  `void`
  `setId(long id)`
  `void`
  `setIdentifier(String identifier)`
  `void`
  `setLastActive(Date lastActive)`
  `void`
  `setMinuteCost(BigDecimal minuteCost)`
  `void`
  `setOperatorId(int operatorId)`
  `void`
  `setParentId(long parentId)`
  `void`
  `setRoundedSessionTime(long roundedSessionTime)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setSessionCost(BigDecimal sessionCost)`
  `void`
  `setSessionStart(Date sessionStart)`
  `void`
  `setSessionStop(Date sessionStop)`
  `void`
  `setSessionTime(long sessionTime)`
  `void`
  `setToPort(String toPort)`
  `void`
  `setType(int type)`
  `void`
  `setZoneId(int zoneId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CALL_TYPE_OUTGOING

    public static final short CALL_TYPE_OUTGOING
    See Also:
      - Constant Field Values

  - ### CALL_TYPE_INCOMING

    public static final short CALL_TYPE_INCOMING
    See Also:
      - Constant Field Values

  - ### SESSION_TYPE_OPERATOR

    public static final short SESSION_TYPE_OPERATOR
    See Also:
      - Constant Field Values

  - ### SESSION_TYPE_ADDITINAL

    public static final short SESSION_TYPE_ADDITINAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VoiceSession

    public VoiceSession()

  - ### VoiceSession

    public VoiceSession(VoiceSession session)

- ## Method Details

  - ### getDeviceId

    public int getDeviceId()
    Получение кода устройства, к которому привязан аккаунт.
    Returns:
      код устройства

  - ### setDeviceId

    public void setDeviceId(int deviceId)
    Установка кода устройства, к которому привязывается аккаунт
    Parameters:
      `deviceId` - код устройства

  - ### getAcctSessionId

    public String getAcctSessionId()

  - ### setAcctSessionId

    public void setAcctSessionId(String acctSessionId)

  - ### getCalledStationId

    public String getCalledStationId()

  - ### setCalledStationId

    public void setCalledStationId(String calledStationId)

  - ### getCallingStationId

    public String getCallingStationId()

  - ### setCallingStationId

    public void setCallingStationId(String callingStationId)

  - ### getE164CalledStationId

    public String getE164CalledStationId()

  - ### setE164CalledStationId

    public void setE164CalledStationId(String e164CalledStationId)

  - ### getE164CallingStationId

    public String getE164CallingStationId()

  - ### setE164CallingStationId

    public void setE164CallingStationId(String e164CallingStationId)

  - ### getCallType

    public short getCallType()

  - ### setCallType

    public void setCallType(short callType)

  - ### getSessionStart

    public Date getSessionStart()

  - ### setSessionStart

    public void setSessionStart(Date sessionStart)

  - ### getSessionStop

    public Date getSessionStop()

  - ### setSessionStop

    public void setSessionStop(Date sessionStop)

  - ### getSessionTime

    public long getSessionTime()

  - ### setSessionTime

    public void setSessionTime(long sessionTime)

  - ### getAccountMap

    public Map<Integer,VoiceSessionAccount> getAccountMap()
    Получение наработки сессии с разбивкой по услугам
    Returns:
      мап наработок сессии. В качестве ключа выступает код услуги. Каждая запись в себя включает код услуги, количество в секундах и рублях.

  - ### setAccountMap

    public void setAccountMap(Map<Integer,VoiceSessionAccount> accountMap)
    Установка наработки сессии с разбивкой по услугам.
    Parameters:
      `accountMap` - мап наработок сессии. В качестве ключа выступает код услуги.

  - ### getDestinationId

    public int getDestinationId()

  - ### setDestinationId

    public void setDestinationId(int destinationId)

  - ### getZoneId

    public int getZoneId()

  - ### setZoneId

    public void setZoneId(int zoneId)

  - ### getSessionCost

    public BigDecimal getSessionCost()

  - ### setSessionCost

    public void setSessionCost(BigDecimal sessionCost)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId(int accountId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getHour

    public Date getHour()

  - ### setHour

    public void setHour(Date hour)

  - ### getLastActive

    public Date getLastActive()

  - ### setLastActive

    public void setLastActive(Date lastActive)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public void setIdentifier(String identifier)

  - ### getAccountTitle

    public String getAccountTitle()

  - ### setAccountTitle

    public void setAccountTitle(String accountTitle)

  - ### getCodeId

    public int getCodeId()

  - ### setCodeId

    public void setCodeId(int codeId)

  - ### getRoundedSessionTime

    public long getRoundedSessionTime()

  - ### setRoundedSessionTime

    public void setRoundedSessionTime(long roundedSessionTime)

  - ### getId

    public long getId()

  - ### setId

    public void setId(long id)

  - ### getParentId

    public long getParentId()

  - ### setParentId

    public void setParentId(long parentId)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getFromPort

    public String getFromPort()

  - ### setFromPort

    public void setFromPort(String fromPort)

  - ### getToPort

    public String getToPort()

  - ### setToPort

    public void setToPort(String toPort)

  - ### getOperatorId

    public int getOperatorId()

  - ### setOperatorId

    public void setOperatorId(int operatorId)

  - ### getCostMapItemId

    public int getCostMapItemId()

  - ### setCostMapItemId

    public void setCostMapItemId(int costMapItemId)

  - ### getMinuteCost

    public BigDecimal getMinuteCost()

  - ### setMinuteCost

    public void setMinuteCost(BigDecimal minuteCost)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getCdrCallCost

    public BigDecimal getCdrCallCost()

  - ### setCdrCallCost

    public void setCdrCallCost(BigDecimal cdrCallCost)

  - ### getCdrCallOperCost

    public BigDecimal getCdrCallOperCost()

  - ### setCdrCallOperCost

    public void setCdrCallOperCost(BigDecimal cdrCallOperCost)

  - ### builder

    public static VoiceSession.Builder builder()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`